#     Originally created by Arthur-Ervin Avramiea (2020), arthur.avramiea@gmail.com

#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>.

from utils import parameter_utils
import os,inspect

LOGS_FILE_PATH = "LOGS_FILE_PATH"
TMP_FILE_PATH = "TMP_FILE_PATH"
IS_MATLAB_STANDALONE = "IS_MATLAB_STANDALONE"
IS_BRIAN_STANDALONE = "IS_BRIAN_STANDALONE"
SIMULATION_PARAM_FILES_PATH = "SIMULATION_PARAM_FILES_PATH"
MATLAB_PATH="MATLAB_PATH"
DATA_FILE_PATH = "DATA_FILE_PATH"

def get_configuration():
    configuration_dir = os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))
    config_file_path = os.path.join(configuration_dir,"configuration.properties")
    
    cros_model_dir = os.path.abspath(os.path.join(configuration_dir, os.pardir))
    
    configuration = parameter_utils.load_properties_file(config_file_path)
    for key in configuration.keys():
        if (key!=DATA_FILE_PATH
            and key!=TMP_FILE_PATH 
            and "PATH" in key):
            configuration[key]=os.path.join(cros_model_dir,configuration[key])

    configuration[SIMULATION_PARAM_FILES_PATH] = os.path.join(cros_model_dir , "parameter_files/")
    configuration[MATLAB_PATH] = os.path.join(cros_model_dir , "data_analysis/")
    configuration[LOGS_FILE_PATH] = os.path.join(configuration[TMP_FILE_PATH] , "logs/")

    return configuration