#     Originally created by Arthur-Ervin Avramiea (2020), arthur.avramiea@gmail.com

#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
# 
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
# 
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see <http://www.gnu.org/licenses/>.

from subprocess import call
from configuration import configuration as conf
from . import parameter_utils as p

##real_path is output analysis path
def run_matlab_analysis(real_path,run_analysis_script_name=None):
    configuration = conf.get_configuration()
    
    #if not passed as argument read from simulation parameters file
    if run_analysis_script_name == None:
        parameters = p.load_properties_file(real_path+"Simulation.Parameters")
        run_analysis_script_name = parameters[p.RUN_ANALYSIS_SCRIPT_NAME]

    #run this only if matlab script was compiled
    if configuration[conf.IS_MATLAB_STANDALONE]:
        c=call([configuration[conf.MATLAB_PATH]+run_analysis_script_name+" '"+real_path+"'"],stdin=None, stdout=None, stderr=None, shell=True)
    else:
        c=call(["matlab", "-nodesktop", "-nosplash","-r","addpath(genpath('"+configuration[conf.MATLAB_PATH]+"'));"+ run_analysis_script_name + ' '+"'"+real_path+"'"+';quit()'],stdin=None, stdout=None, stderr=None, shell=False)